using System.ComponentModel.DataAnnotations;

namespace Library.Domain.Entities
{
    public class Book
    {
        public int ID { get; set; }

        [Required(ErrorMessage = "You must enter name of the book.")]
        public string Name { get; set; }

        [Required(ErrorMessage = "You must enter name of the author.")]
        public string Author { get; set; }

        [Required(ErrorMessage = "You must enter genre.")]
        public string Genre { get; set; }

        [Required(ErrorMessage = "You must enter subgenre.")]
        public string Subgenre { get; set; }

        public string Description { get; set; }
        public bool IsLent { get; set; }
    }
}
